# Create a new request with DocProcessor

### Endpoint

* **URL**: `/docProcessor/{requestTypeId}/requests`
* **Method**: `POST`


### Headers

Ensure you include the following headers in your request:

* `Accept: application/json`
* `Content-Type: application/json`
* `X-Api-Key: YOUR_API_KEY` (replace `YOUR_API_KEY` with your actual API key)


### Body parameters

* `file_1` (required):  image data of document to be checked (first page or file). Except for Identity Documents, the first page is used for document type detection.
* `file_2`: image data of page 2 (for Identity Documents)
Type of identity documents is determined thanks to MRZ (Machine Readable Zone). Because MRZ can be on either side of the document, for Identity documents the page 2 is also considered for document type detection. For Passport, file_2 should be disable because you have to submit only 1 page
* `options` (required): JSON object specifying the request's settings, see [Request Options](/products/namirialonboarding/namirial-onboarding-knowledge-center/03-developer-documentation/04-advanced-topics/docprocessor_req_parameters#request-options)
* `holder` (optional): JSON object specifying the request's settings, see [Request Holder](/products/namirialonboarding/namirial-onboarding-knowledge-center/03-developer-documentation/04-advanced-topics/docprocessor_req_parameters#request-holder)
* `contextLocale` (optional): JSON object giving the context (country and language) in which the document should be controlled, see [Request Legal Entity](/products/namirialonboarding/namirial-onboarding-knowledge-center/03-developer-documentation/04-advanced-topics/docprocessor_req_parameters#request-legal-entity)
* `legalEntity` (optional): JSON object specifying the request s settings, see [Request Context Locale](/products/namirialonboarding/namirial-onboarding-knowledge-center/03-developer-documentation/04-advanced-topics/docprocessor_req_parameters#request-context-locale)


### Example cURL API call


```
curl --location 'https://test-eu-ie1-api.namirialonboarding.com/api/v2/docProcessor/YOUR_REQUEST_TYPE_ID/requests' \
--header 'Content-Type: multipart/form-data' \
--header 'Accept: application/json' \
--header 'X-Api-Key: YOUR_API_KEY' \
--form 'file_1=@"/path/to/file"' \
--form 'file_2=@"/path/to/file"' \
--form 'options="[object Object]"' \
--form 'holder="[object Object]"' \
--form 'contextLocale="[object Object]"' \
--form 'legalEntity="[object Object]"'
```

Replace `YOUR_API_KEY` with your actual API key, `YOUR_REQUEST_TYPE_ID` with the ID of the request type.